cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Berin Loritsch <blorit...@apache.org>
Subject How about upgrading to Xerces 2.0alpha?
Date Wed, 07 Feb 2001 15:50:55 GMT
I just tested the newest Xerces, and it works without
modification.  It makes use of Jaxp 1.1 extensions which
let you tell the SAXParserFactory to only create Parsers
that implement namespaces.

That will also allow us to simply rename the XercesParser
Component to JaxpParser.  Any other parser that requires
wrapping will need a separate parser component.

The change will let us do the following:

* change org.apache.cocoon.components.parser.XercesParser to
  org.apache.cocoon.components.parser.JaxpParser
* Use Jaxp 1.1 specs which allow us to specify that we only
  want namespace compliant SAXParsers.
* Make Cocoon work with any Jaxp 1.1 compliant parser--meaning
  we aren't dependant on any one parser being available.

Mime
View raw message